import javax.servlet.http.*;
import oracle.xml.parser.v2.*;
import java.net.URL;
import javax.servlet.ServletException;
import java.io.IOException;
public class AmazonSearchXML extends HttpServlet {

  JTidyConverter jtc   = null;
  XSLStylesheet  sheet = null;

  protected void doGet(HttpServletRequest req, HttpServletResponse resp)
  throws ServletException, IOException {
    String amazonSearch = "http://www.amazon.com/exec/obidos/search-handle-url/index=books&field-keywords=";
    String search = req.getParameter("search");
    URL amazonSearchUrl  = new URL(resp.encodeURL(amazonSearch+search));
    try {
    XMLDocument amazonsearch = jtc.XMLifyHTMLFrom(amazonSearchUrl);
    XSLProcessor xslt       = new XSLProcessor();
    resp.setContentType("text/xml");
    xslt.processXSL(sheet,amazonsearch,resp.getWriter());
    }
    catch (Exception ex) {
      resp.getWriter().println("<error>"+ex.getMessage()+"</error>");
    }
  }

  public void init() throws ServletException {
    super.init();
    System.setProperty("proxySet","true");
    System.setProperty("proxyHost","www-proxy.us.oracle.com");
    System.setProperty("proxyPort","80");
    jtc   = new JTidyConverter();

    try {
      sheet =
        new XSLStylesheet(getClass().getResourceAsStream("Amazon2Xml.xsl"),null);
    }
    catch (XSLException xslx) {
      throw new ServletException("Error loading Yahoo2Xml.xsl from CLASSPATH");
    }

  }

}