import oracle.xml.parser.v2.*;
import org.xml.sax.SAXParseException;
import org.xml.sax.InputSource;
import java.io.*;
import java.net.*;

public class ParseFAQWithBaseUrl {
  public static void main(String[] args) throws Exception {
    String filename = "FAQWithMultipleEntities.xml";
    // (1) Create a new XML Parser
    DOMParser dp = new DOMParser();
    // (2) Open a Reader on the file (assuming its in current directory)
    FileReader fileRdr = new FileReader(filename);
    // Help the parser know what file:// URL this stream represents
    dp.setBaseURL(urlForFile(filename));
    try {
      // Attempt to parse the stream
      dp.parse(fileRdr);
      System.out.println("Parsed ok.");
    }
    catch (SAXParseException spe) {
      System.out.println(spe.getMessage());
    }
  }
  private static URL urlForFile(String filename) throws MalformedURLException {
    // Get the absolute path of the file
    String path = (new File(filename)).getAbsolutePath();
    // If directory separator character is not a forward slash, make it so.
    if (File.separatorChar != '/') {
      path = path.replace(File.separatorChar,'/');
    }
    // Add a leading slash if path doesn't start with one (e.g. E:/foo/bar)
    if (!path.startsWith("/")) {
      path = "/"+path;
    }
    // Return the file URL
    return new URL("file://" + path);
  }
}