<!-- SortByMakerByPriceDesc.xsl: Sort shopping-list items by maker by price -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="text"/>
  <xsl:template match="/">
    <xsl:for-each select="list/item">
      <!-- Can sort on anything you can select, so attributes work fine -->
      <xsl:sort select="@maker"/>
      <!-- Can sort on multiple keys, and control ascending/descending -->
      <xsl:sort select="price" data-type="number" order="descending"/>
      <xsl:value-of select="@maker"/>
      <xsl:text>: </xsl:text>
      <xsl:value-of select="name"/>
      <xsl:text>, $</xsl:text>
      <xsl:value-of select="price"/>
      <xsl:text>&#x0A;</xsl:text>
    </xsl:for-each>
  </xsl:template>
</xsl:stylesheet>