/*@lineinfo:filename=StockQuotesXmlSqlj*//*@lineinfo:user-code*//*@lineinfo:1^1*/import java.sql.*;
import sqlj.runtime.ref.DefaultContext;

/*@lineinfo:generated-code*//*@lineinfo:4^3*/

//  ************************************************************
//  SQLJ iterator declaration:
//  ************************************************************

class QuotesIter 
extends sqlj.runtime.ref.ResultSetIterImpl
implements sqlj.runtime.NamedIterator
{
  public QuotesIter(sqlj.runtime.profile.RTResultSet resultSet) 
    throws java.sql.SQLException 
  {
    super(resultSet);
    symbolNdx = findColumn("symbol");
    priceNdx = findColumn("price");
    changeNdx = findColumn("change");
  }
  public String symbol() 
    throws java.sql.SQLException 
  {
    return resultSet.getString(symbolNdx);
  }
  private int symbolNdx;
  public float price() 
    throws java.sql.SQLException 
  {
    return resultSet.getFloatNoNull(priceNdx);
  }
  private int priceNdx;
  public float change() 
    throws java.sql.SQLException 
  {
    return resultSet.getFloatNoNull(changeNdx);
  }
  private int changeNdx;
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:4^66*/

class StockQuotesSqlj
{
  public static void main (String arg[]) throws Exception
  {
    QuotesIter quotes;
    // Connect to the Database
    DefaultContext.setDefaultContext(new DefaultContext(Examples.getConnection()));

    // Use first command line arg as customer id
    int id = Integer.parseInt( arg[0] );

    /*@lineinfo:generated-code*//*@lineinfo:17^5*/

//  ************************************************************
//  #sql quotes = { SELECT q.symbol as "Symbol",
//                             q.price  as "Price",
//                             q.change as "Change"
//                        FROM quotes q, portfolio_stocks ps
//                       WHERE q.symbol = ps.symbol
//                         AND ps.owner = :id  };
//  ************************************************************

{
  sqlj.runtime.ConnectionContext __sJT_connCtx = sqlj.runtime.ref.DefaultContext.getDefaultContext();
  if (__sJT_connCtx == null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext __sJT_execCtx = __sJT_connCtx.getExecutionContext();
  if (__sJT_execCtx == null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_EXEC_CTX();
  int __sJT_1 = id;
  synchronized (__sJT_execCtx) {
    sqlj.runtime.profile.RTStatement __sJT_stmt = __sJT_execCtx.registerStatement(__sJT_connCtx, StockQuotesXmlSqlj_SJProfileKeys.getKey(0), 0);
    try 
    {
      __sJT_stmt.setInt(1, __sJT_1);
      sqlj.runtime.profile.RTResultSet __sJT_result = __sJT_execCtx.executeQuery();
      quotes = new QuotesIter(__sJT_result);
    }
    finally 
    {
      __sJT_execCtx.releaseStatement();
    }
  }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:22^43*/

    System.out.println("<?xml version=\"1.0\"?>");
    System.out.println("<Quotes>");
    while (quotes.next()) {
      System.out.println("<Symbol>" + quotes.symbol() + "</Symbol>");
      System.out.println( "<Price>" + quotes.price()  + "</Price>") ;
      System.out.println("<Change>" + quotes.change() + "</Change>");
    }
    System.out.println("</Quotes>");
    quotes.close();
  }
}/*@lineinfo:generated-code*/class StockQuotesXmlSqlj_SJProfileKeys 
{
  private static StockQuotesXmlSqlj_SJProfileKeys inst = null;
  public static java.lang.Object getKey(int keyNum) 
    throws java.sql.SQLException 
  {
    if (inst == null)
    {
      inst = new StockQuotesXmlSqlj_SJProfileKeys();
    }
    return inst.keys[keyNum];
  }
  private final sqlj.runtime.profile.Loader loader = sqlj.runtime.RuntimeContext.getRuntime().getLoaderForClass(getClass());
  private java.lang.Object[] keys;
  private StockQuotesXmlSqlj_SJProfileKeys() 
    throws java.sql.SQLException 
  {
    keys = new java.lang.Object[1];
    keys[0] = sqlj.runtime.ref.DefaultContext.getProfileKey(loader, "StockQuotesXmlSqlj_SJProfile0");
  }
}
