import java.sql.*;
import oracle.jdbc.driver.*;
import oracle.xml.parser.v2.*;
import java.io.*;

public class ConnectionFactory {
  private static XMLDocument root;
  public static Connection getConnection(String name) throws Exception {
    if (root == null) {
      // Read Connections.xml from the runtime CLASSPATH
      InputStream file = ConnectionFactory.class.getResourceAsStream("/Connections.xml");
      if (file == null) {
        throw new FileNotFoundException("Connections.xml not in CLASSPATH");
      }
      DOMParser parser = new DOMParser();
      parser.parse(file);
      root = parser.getDocument();
    }
    String pattern = "/connections/connection[@name='"+name+"']";
    XMLNode connNode     = (XMLNode) root.selectSingleNode(pattern);
    if (connNode != null) {
      String username     = connNode.valueOf("username");
      String password     = connNode.valueOf("password");
      String dburl        = connNode.valueOf("dburl");
      String driverClass  = "oracle.jdbc.driver.OracleDriver";
      Driver d = (Driver)Class.forName(driverClass).newInstance();
      System.out.println("Connecting as " + username + " at " + dburl);
      return  DriverManager.getConnection(dburl,username,password);
    }
    else return null;
  }
}
