CREATE PROCEDURE UpdatePrice( sku_to_change VARCHAR2, new_price VARCHAR2 ) IS
  pricenum  NUMBER;
  errors    BOOLEAN := false;
  PROCEDURE show_xml_err(field VARCHAR2, msg VARCHAR2) IS
  BEGIN 
    HTP.P('<Error Field="'||field||'">'||msg||'</Error>');
    errors := TRUE;
  END;
BEGIN
  HTP.P('<UpdatePrice>');
  -- Check whether sku_to_change begins with letter 'K'
  IF sku_to_change IS NULL OR SUBSTR(sku_to_change,1,1)<>'K' THEN
    show_xml_err('sku','SKU must be non-null and begin with a K');
  END IF;
  -- Check whether new_price is a positive number
  BEGIN
    IF new_price IS NULL THEN RAISE VALUE_ERROR; END IF;
    pricenum := TO_NUMBER(new_price);
  EXCEPTION
    WHEN VALUE_ERROR THEN
      show_xml_err('price','Price must be a non-null, positive number');
  END;
  IF NOT errors THEN
    UPDATE product SET price = pricenum WHERE sku = sku_to_change;
    HTP.P('<Success/>');
  END IF;
  HTP.P('</UpdatePrice>');
END;



