CREATE PROCEDURE UpdatePrice( sku_to_change VARCHAR2, new_price VARCHAR2 ) IS
  pricenum  NUMBER;
  errors    BOOLEAN := false;
  PROCEDURE show_xml_err(field VARCHAR2, msg VARCHAR2) IS
  BEGIN 
    HTP.P('<Error Field="'||field||'">'||msg||'</Error>'); 
    errors := TRUE; 
  END;
BEGIN
  HTP.P('<Validate_and_Insert>');
  -- Check whether sku_to_change begins with letter 'K'
  IF sku IS NULL OR SUBSTR(sku,1,1)<>'K' THEN
    show_xml_err('a','SKU must be non-null and begin with a "K"');
  END IF; 
  -- Check whether new_price is a positive number
  BEGIN
    pricenum := TO_NUMBER(new_price);
  EXCEPTION
    WHEN VALUE_ERROR THEN
      show_xml_err('a','Price must be a positive number');
  END;
  IF NOT errors THEN
    UPDATE product SET price = pricenum WHERE sku = sku_to_update;
    HTP.P('<Success/>');
  END IF;
  HTP.P('</UpdatePrice>');
END;



