<?xml version="1.0"?>
<!-- NewsCategoryBox.xsl: Format detailed news story list for a category -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output method="html" indent="no"/>
  <xsl:include href="UtilPaging.xsl"/>
  <xsl:include href="TitledBox.xsl"/>
  <xsl:variable name="i">images/</xsl:variable>
  <xsl:template match="/">
    <html>
      <head>
        <link rel="stylesheet" type="text/css" href="Forum.css"/>
        <title>News By Category</title>
      </head>
      <body bgcolor="#FFFFFF">
        <center>
          <table  border="0" width="600">
            <tr>
              <td width="600">
                <table border="0" width="100%" cellspacing="0" cellpadding="0">
                  <tr>
                    <td colspan="2" align="right" style="font-size:7pt">
                      <xsl:apply-templates select="page/paging"/><br/><br/>
                    </td>
                  </tr>
                </table>
                <xsl:call-template name="TitledBox">
                  <xsl:with-param name="Title">
                    <xsl:value-of select="page/categoryname"/>
                    <xsl:text> News in Detail</xsl:text>
                  </xsl:with-param>
                  <xsl:with-param name="Contents">
                    <table border="0" width="100%">
                      <xsl:for-each select="page/ROWSET/ROW">
                        <tr>
                          <td width="3%" valign="top">
                            <img src="{$i}a.gif" width="8" height="9"/>
                            <font color="#FFFFFF">.</font>
                          </td>
                          <td width="97%">
                            <a href="{URL}">
                              <b><xsl:value-of select="TITLE"/></b>
                            </a>
                            <span style="font-size: 7pt">
                              <xsl:text>&#160;(</xsl:text>
                              <xsl:value-of select="TIMESTAMP"/>
                              <xsl:text>)</xsl:text>
                            </span>
                            <span class="tr">
                              <br/>
                              <xsl:value-of select="DESCRIPTION"/>
                            </span>
                          </td>
                        </tr>
                      </xsl:for-each>
                    </table>
                  </xsl:with-param>
                </xsl:call-template>
              </td>
            </tr>
          </table>
        </center>
      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>