import oracle.xml.xsql.*;
import oracle.xml.parser.v2.*;
import org.w3c.dom.*;
import javax.servlet.http.*;
import java.net.*;
import java.sql.SQLException;

public class RequireLogin extends XSQLActionHandlerImpl {
  private static final String USERCOOKIENAME   = "user-cookie";
  private static final String LOGINPAGE        = "login-page";

  public void handleAction(Node root) throws SQLException {
    XSQLPageRequest req = getPageRequest();
    Element actElt  = getActionElement();
    boolean userCookieSet = false;
    String  userCookie    = getAttributeAllowingParam(USERCOOKIENAME,actElt);
    String  loginPage     = getAttributeAllowingParam(LOGINPAGE,actElt);
    if (userCookie == null || userCookie.equals("")) {
      this.reportMissingAttribute(root,"user-cookie");
      return;
    }
    String  userName        = null;
    if (req.getRequestType().equals("Servlet")) {
      XSQLServletPageRequest servReq = (XSQLServletPageRequest)req;
      HttpServletRequest httpServReq = servReq.getHttpServletRequest();
      Cookie[] cookies = httpServReq.getCookies();
      if (cookies != null) {
        for (int z = 0; z < cookies.length; z++) {
          Cookie c = cookies[z];
          String curName = c.getName();
          if (curName.equals(userCookie)) {
            userCookieSet = true;
            userName      = c.getValue();
            break;
          }
        }
      }
    }
    // Add either <loginpage> or <loginid> to the data page as appropriate
    if (userCookieSet) {
      addResultElement(root,"loginid",userName);
    }
    else {
      addResultElement(root,"loginpage",loginPage);
    }
  }
}
