<!-- YahooQuotes-to-QuoteStream.xsl -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:template match="/">
    <!-- Find the <table> whose first row's first table header has "Symbol" -->
    <xsl:for-each select="//table[tr[1]/th[1]='Symbol']">
      <!-- The time of the quotes is in the first <p> preceding this table -->
      <QuoteStream time="{preceding::p[1]}">
        <!-- For each row after the first row -->
        <xsl:for-each select="tr[position()>1]">
          <!-- Ticker is value of first <td> cell -->
          <!-- Price  is value of third <td> cell -->
          <Quote Ticker="{td[1]}"
                 Price="{format-number(number(td[3]),'###,###.000')}"/>
        </xsl:for-each>
      </QuoteStream>
    </xsl:for-each>
  </xsl:template>
</xsl:stylesheet>