SET SCAN OFF
SET ECHO OFF
DROP TABLE featured_items;
DROP TABLE item_rating;
DROP TABLE item;
DROP TABLE author;
DROP TABLE maker;
DROP TABLE shop;

DROP SEQUENCE itemseq;
CREATE SEQUENCE itemseq START WITH 1001;

CREATE TABLE shop( id        NUMBER primary key,
                   shop_name VARCHAR2(80));

INSERT INTO shop VALUES (1,'Books');
INSERT INTO shop VALUES (2,'Electronics');
INSERT INTO shop VALUES (3,'Outdoor');
INSERT INTO shop VALUES (4,'Toys');

CREATE TABLE maker( id         NUMBER primary key,
                    maker_name VARCHAR2(80)); 

INSERT INTO maker VALUES(1,'FlyRite');

INSERT INTO maker VALUES(2,'GummyKwax');
INSERT INTO maker VALUES(3,'Circus Fun');

INSERT INTO maker VALUES(4,'O''Reilly');

INSERT INTO maker VALUES(5,'Tomasson');

INSERT INTO maker VALUES(6,'Warner Brothers');

CREATE TABLE author( id          NUMBER PRIMARY KEY,
                     author_name VARCHAR2(80)); 

REM ==== AUTHOR ====
INSERT INTO AUTHOR VALUES (1,'Steve Muench');
INSERT INTO AUTHOR VALUES (2,'Simson Garfinkel');
INSERT INTO AUTHOR VALUES (3,'David Flanagan');


CREATE TABLE item( id          NUMBER PRIMARY KEY,
                   maker_id    NUMBER,
                   shop_id     NUMBER,
                   author_id   NUMBER,
                   sku         VARCHAR2(80),
                   description VARCHAR2(80),
                   blurb       VARCHAR2(4000),
                   price       NUMBER,
                   list_price  NUMBER,
                   CONSTRAINT item_maker_fk FOREIGN KEY (maker_id)  REFERENCES maker,
                   CONSTRAINT items_shop_fk FOREIGN KEY (shop_id)   REFERENCES shop,
                   CONSTRAINT author_fk     FOREIGN KEY (author_id) REFERENCES author
);

CREATE TABLE item_rating( item_id  NUMBER,
                          summary  VARCHAR2(80),
                          reviewer VARCHAR2(80),
                          rating   NUMBER,
                          comments VARCHAR2(4000),
                          CONSTRAINT rating_item_fk FOREIGN KEY (item_id) REFERENCES item
                        );

REM === TOYS ====
REM === TOYS (GummyKwax) ====
INSERT INTO item VALUES (
/* Item_Id     */ itemseq.nextval,
/* Maker_Id    */ 2,
/* Shop_Id     */ 4,
/* Author_Id   */ NULL,
/* Sku         */ '1111111111',
/* Description */ 'Rubber Ducky: Classic Edition',
/* Blurb       */ '',
/* Price       */ 5.99,
/* List Price  */ NULL
);
REM === TOYS (Circus Fun) ====
INSERT INTO item VALUES (
/* Item_Id     */ itemseq.nextval,
/* Maker_Id    */ 3,
/* Shop_Id     */ 4,
/* Author_Id   */ NULL,
/* Sku         */ '5555555555',
/* Description */ 'Cymbal Clapping Monkey',
/* Blurb       */ '',
/* Price       */ 6.00,
/* List Price  */
);

REM === BOOKS ====
REM === BOOKS (O'Reilly) ====
INSERT INTO item VALUES (
/* Item_Id     */ itemseq.nextval,
/* Maker_Id    */ 4,
/* Shop_Id     */ 1,
/* Author_Id   */ 2,
/* Sku         */ '1565926536',
/* Description */ 'Database Nation : The Death of Privacy in the 21st Century',
/* Blurb       */ '',
/* Price       */ 17.47,
/* List Price  */ 24.95
);
INSERT INTO item VALUES (
/* Item_Id     */ itemseq.nextval,
/* Maker_Id    */ 4,
/* Shop_Id     */ 1,
/* Author_Id   */ 3,
/* Sku         */ '1565924878',
/* Description */ 'Java in a Nutshell : A Desktop Quick Reference',
/* Blurb       */ '',
/* Price       */ 20.97,
/* List Price  */ 29.95
);
INSERT INTO item VALUES (
/* Item_Id     */ itemseq.nextval,
/* Maker_Id    */ 4,
/* Shop_Id     */ 1,
/* Author_Id   */ 1,
/* Sku         */ '1565926919',
/* Description */ 'Building Oracle XML Applications',
/* Blurb       */ '',
/* Price       */ 35.96,
/* List Price  */ 44.95
);

REM === OUTDOOR ====
REM === OUTDOOR (FlyRite) ====
INSERT INTO item VALUES (
/* Item_Id     */ itemseq.nextval,
/* Maker_Id    */ 1,
/* Shop_Id     */ 3,
/* Author_Id   */ NULL,
/* Sku         */ '4444444444',
/* Description */ 'Manifest Destiny',
/* Blurb       */ '',
/* Price       */ 11.16,
/* List Price  */ 13.95
);

REM === ELECTRONICS ====
REM === ELECTRONICS (Tomasson) ====
INSERT INTO item VALUES (
/* Item_Id     */ itemseq.nextval,
/* Maker_Id    */ 5,
/* Shop_Id     */ 2,
/* Author_Id   */ NULL,
/* Sku         */ '2222222222',
/* Description */ 'Freestyler Travel Radio/Alarm',
/* Blurb       */ 
'<ul>
<li>AM/FM and shortwave world-time travel clock radio</li>
<li>11-band travel radio (AM, FM, SW 1-9)</li>
<li>LED tuning indicator</li>
<li>Built-in alarm with snooze button</li>
<li>Compact design and protective lid</li>
</ul>',
/* Price       */ 79.99,
/* List Price  */ 129.95
);
INSERT INTO item VALUES (
/* Item_Id     */ itemseq.nextval,
/* Maker_Id    */ 5,
/* Shop_Id     */ 2,
/* Author_Id   */ NULL,
/* Sku         */ '3333333333',
/* Description */ 'Super-Steady Hi8 Camcorder',
/* Blurb       */ 
'<ul>
<li>360x digital zoom</li>
<li>Still image recording</li>
<li>Infrared night video capability</li>
<li>Image stabilization</li>
<li>2.5-inch swivel LCD screen</li>
</ul>',
/* Price       */ 799.00,
/* List Price  */ 899.00
);

CREATE TABLE featured_items (
  itemid    NUMBER,
  start_date DATE,
  end_date   DATE
);
insert into featured_items
 select id, sysdate, sysdate + 10
   from item where sku in ('1111111111','1565924878');


COMMIT;
